## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate bzip2-sys
%global upstream_version 0.1.11+1.0.8

Name:           rust-bzip2-sys
Version:        0.1.11
Release:        %autorelease
Summary:        Bindings to libbzip2 for bzip2 exposed as Reader/Writer streams

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bzip2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Manually created patch for downstream crate metadata changes
# * remove bzip2 version suffix
Patch:          bzip2-sys-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bindings to libbzip2 for bzip2 compression and decompression exposed as
Reader/Writer streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(bzip2)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# remove bundled bzip2 sources
rm -rv bzip2-1.0.8/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(bzip2)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Dec 20 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 0.1.11-10
- Rebuilt for MSVSphere 10

## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.11-7
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.11-1
- Update to version 0.1.11.
- Fixes RHBZ#1970138

* Mon Feb 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.1.10-1
- Update to version 0.1.10.
- Fixes RHBZ#1923764

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9+1.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9+1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.9+1.0.8-2
- devel should also pull in pkgconfig(bzip2)

* Sun Jun 14 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.9+1.0.8-1
- Update to 0.1.9
- add link to PR for license texts

* Sat May 23 13:16:34 PDT 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.8+1.0.8-1
- Initial package

## END: Generated by rpmautospec
